/*
 Test_sensore_forcella.pde
 Il programma permette il test di un sensore a forcella
 composto da un'emettitore IR e un ricevitore IR montati
 nello stesso involucro.    In questo esempio l'emettitore
 e sempre attivo. 
 Il funzionamento è mostrato con l'accensione del led montato
 sulla scheda quando il raggio è interrotto.    Viene anche trasmesso
 al PC lo stato del sensore visibile nella finestra monitor.
 
 Vengono utilizzati i seguenti pin
 Pin +5V         -> Alimentazione
 Pin GND         -> Alimentazione
 Pin Digital 2   -> Connesso al ricevitore IR
 Pin Digital 13  -> Led su scheda
 
 Creato il 1/11/2011
 da Adriano Gandolfo <http://www.adrirobot.it>
 This example code is in the public domain.
 */

//Definizione dei pin utilizzati
#define SENSORE_PIN 2
#define LED_PIN 13 

//Tipo di sensore utilizzato?
//#define INVERTED 1
#define INVERTED 0

void setup()
{
  pinMode(SENSORE_PIN, INPUT);
  pinMode(LED_PIN, OUTPUT);  
  Serial.begin(9600);
  Serial.println("Inizio lettura sensore.");
}

void loop()
{
  if (digitalRead(SENSORE_PIN))
  {
    if (INVERTED)
    {
      Serial.println("Aperto.");
      digitalWrite(LED_PIN, LOW);
    }
    else
      Serial.println("Chiuso");
    digitalWrite(LED_PIN, HIGH); //Accensione led
  }
  else
  {
    if (INVERTED)
    {
      Serial.println("Chiuso");
      digitalWrite(LED_PIN, HIGH); //Accensione led
    }
    else
      Serial.println("Aperto");
    digitalWrite(LED_PIN, LOW);
  }
  delay(500);
}


